net.i2p.router.networkdb.kademlia

## Class FloodfillMonitorJob

- java.lang.Object
- - net.i2p.router.JobImpl
  - - net.i2p.router.networkdb.kademlia.FloodfillMonitorJob

- All Implemented Interfaces:
    Job

       class FloodfillMonitorJob
      extends JobImpl

  Simple job to monitor the floodfill pool. If we are class O, and meet some other criteria, we will automatically become floodfill if there aren't enough. But only change ff status every few hours to minimize ff churn.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FloodfillMonitorJob(RouterContext context, FloodfillNetworkDatabaseFacade facade)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Descriptive name of the task
    `void` | `runJob()` Actually perform the task.

    - ### Methods inherited from class net.i2p.router.JobImpl

      `dropped, getAddedBy, getContext, getJobId, getMadeReadyOn, getTiming, madeReady, requeue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FloodfillMonitorJob

          public FloodfillMonitorJob(RouterContext context,
                             FloodfillNetworkDatabaseFacade facade)

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `Job`
      Descriptive name of the task

    - #### runJob

          public void runJob()

      Description copied from interface: `Job`
      Actually perform the task. This call blocks until the Job is complete.